<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AndSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AndSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/specs/AndSpec.html" target="_top">Frames</a></li>
<li><a href="AndSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.specs</div>
<h2 title="Class AndSpec" class="title">Class AndSpec&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs">org.gradle.api.specs.CompositeSpec</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.specs.AndSpec&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The target type for this Spec</dd></dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;T&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">AndSpec&lt;T&gt;</span>
extends <a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs">CompositeSpec</a>&lt;T&gt;</pre>
<div class="block">A <a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs"><code>CompositeSpec</code></a> which requires all its specs to be true in order to evaluate to true.
 Uses lazy evaluation.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;?&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#EMPTY">EMPTY</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#AndSpec()">AndSpec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#AndSpec(java.lang.Iterable)">AndSpec</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;? extends <a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;&gt;&nbsp;specs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#AndSpec(org.gradle.api.specs.Spec...)">AndSpec</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;...&nbsp;specs)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#and(groovy.lang.Closure)">and</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#and(org.gradle.api.specs.Spec...)">and</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;...&nbsp;specs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;T&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#empty()">empty</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#hashCode()">hashCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/specs/AndSpec.html#isSatisfiedBy(T)">isSatisfiedBy</a></strong>(<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&nbsp;object)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.specs.CompositeSpec">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.specs.<a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs">CompositeSpec</a></h3>
<code><a href="../../../../org/gradle/api/specs/CompositeSpec.html#equals(java.lang.Object)">equals</a>, <a href="../../../../org/gradle/api/specs/CompositeSpec.html#getSpecs()">getSpecs</a>, <a href="../../../../org/gradle/api/specs/CompositeSpec.html#isEmpty()">isEmpty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="EMPTY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EMPTY</h4>
<pre>public static final&nbsp;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;?&gt; EMPTY</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AndSpec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AndSpec</h4>
<pre>public&nbsp;AndSpec()</pre>
</li>
</ul>
<a name="AndSpec(org.gradle.api.specs.Spec...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AndSpec</h4>
<pre>public&nbsp;AndSpec(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;...&nbsp;specs)</pre>
</li>
</ul>
<a name="AndSpec(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AndSpec</h4>
<pre>public&nbsp;AndSpec(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;? extends <a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;&gt;&nbsp;specs)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isSatisfiedBy(java.lang.Object)">
<!--   -->
</a><a name="isSatisfiedBy(T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSatisfiedBy</h4>
<pre>public&nbsp;boolean&nbsp;isSatisfiedBy(<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&nbsp;object)</pre>
</li>
</ul>
<a name="and(org.gradle.api.specs.Spec...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>and</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;&nbsp;and(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;...&nbsp;specs)</pre>
</li>
</ul>
<a name="and(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>and</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;&nbsp;and(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</pre>
</li>
</ul>
<a name="empty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>empty</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="class in org.gradle.api.specs">AndSpec</a>&lt;T&gt;&nbsp;empty()</pre>
</li>
</ul>
<a name="hashCode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/specs/CompositeSpec.html#hashCode()">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs">CompositeSpec</a>&lt;<a href="../../../../org/gradle/api/specs/AndSpec.html" title="type parameter in AndSpec">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/api/specs/CompositeSpec.html" title="class in org.gradle.api.specs"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/specs/AndSpec.html" target="_top">Frames</a></li>
<li><a href="AndSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
